Devices - Get Device Class Device Ids
Gets a list of device identifiers in a device class.
GET https://{accountEndpoint}/deviceupdate/{instanceId}/v2/management/deviceclasses/{deviceClassId}/deviceids
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
Account endpoint. |
|
device
|
path | True |
string |
Device class identifier. |
|
instance
|
path | True |
string |
Account instance identifier. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
All device identifiers in the specified device class. |
|
| 404 Not Found |
Not found. |
Security
azure_auth_implicit
Azure Active Directory OAuth2 Implicit Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
azure_auth_code
Azure Active Directory OAuth2 AccessCode Flow
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Token URL:
https://login.microsoftonline.com/common/oauth2/v2.0/token
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
azure_auth_application
Azure Active Directory OAuth2 Application Flow
Type:
oauth2
Flow:
application
Token URL:
https://login.microsoftonline.com/common/oauth2/v2.0/token
Scopes
| Name | Description |
|---|---|
| .default | client credential scope |
azure_auth_password
Azure Active Directory OAuth2 Password Flow
Type:
oauth2
Flow:
password
Token URL:
https://login.microsoftonline.com/common/oauth2/v2.0/token
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Devices_GetDeviceClassDeviceIds
Sample request
GET https://contoso.api.adu.microsoft.com/deviceupdate/blue/v2/management/deviceclasses/deviceClassId/deviceids
Sample response
{
"value": [
"deviceId1",
"deviceId2"
]
}
Definitions
PageableListOfStrings
The list of strings with server paging support.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link to the next page of items. |
| value |
string[] |
The collection of pageable items. |